Help - Search - Members - Calendar
Full Version: Loading Apps
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > Angstrom & OpenZaurus
ianwj
A newbie question... I have installed OZ on my SL5600 (poodle) and it works fine. However I need the other apps like, mail & MP3 player etc. I have downloaded opiemail package but I am struggling to understand how to get it all together from the command line. I loaded opie-mail_1.1.6-r2_arm.ipk onto my SD card and fired up the ipkg command. I got the following message:

root@poodle:/# ipkg install /mnt/card/packages/opie-mail_1.1.6-r2_arm.ipk
Installing opie-mail (1.1.6-r2) to root...
ERROR: Cannot satisfy the following dependencies for opie-mail:
oz-compat (>= 0.5) libmailwrapper1 (>= 1.1.6) libopiemm2-1 (>= 1.1.6)
An error ocurred, return value: 1.

What am I doing wrong here? What else do I need?

Thanks!
bazmi
you will need to download the packages listed (oz-compat etc) and install them first before installing the opie-mail package.

any reason you are using command line to install and not the package manager GUI?

cheers,

/bazmi.
ianwj
bazmi, thx for your comments. Your comment:

> you will need to download the packages listed (oz-compat etc) and install them first before installing the opie-mail package.

I will search for the files.


> any reason you are using command line to install and not the package manager GUI?

In a word: ignorance. I have now had a play with the package manager...

BTW, I have never used the concept of updating from a URL before. (Always downloaded ".ipk" packages and then loaded them from SD card by using the Sharp package manager GUI. Is there a FAQ on how the online loads work?

ianwj
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.